Skip to main content
POST
Create a message

Authorizations

Authorization
string
header
required

Your DUST API key is a Bearer token.

Path Parameters

wId
string
required

ID of the workspace

cId
string
required

ID of the conversation

Body

application/json
content
string
required

The content of the message. Should not be empty.

Example:

"This is my message"

mentions
object[]
required

Empty array is accepted but won't trigger any agent.

context
object
modelSelection
object

Optional per-message model and reasoning-effort override applied to the mentioned agent(s). When omitted, each agent runs its configured model. A provider/model pair that is not authorized for the workspace is rejected with a 400 (model_disabled), it does not fall back to the agent's configured model. A malformed object, or an unknown reasoning effort, also results in a 400.

Response

Message created successfully.

content
string
required

The content of the message. Should not be empty.

Example:

"This is my message"

mentions
object[]
required

Empty array is accepted but won't trigger any agent.

context
object
modelSelection
object

Optional per-message model and reasoning-effort override applied to the mentioned agent(s). When omitted, each agent runs its configured model. A provider/model pair that is not authorized for the workspace is rejected with a 400 (model_disabled), it does not fall back to the agent's configured model. A malformed object, or an unknown reasoning effort, also results in a 400.